classification
Title: single architecture framework build fails on OS X 10.5
Type: compile error Stage:
Components: macOS Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: cekees, ronaldoussoren
Priority: normal Keywords:

Created on 2008-09-25 13:35 by cekees, last changed 2009-11-17 11:16 by ronaldoussoren. This issue is now closed.

Messages (2)
msg73790 - (view) Author: Chris (cekees) Date: 2008-09-25 13:35
Hi,

Our group ended  up needing a non-universal x86_64 framework build 
because we had  trouble building some modules with the non-framework 
build. We had  to modify the makefile in two places to get it to work. 
First we fixed a place where configure generates '-arch_only i386'. That 
fixes the the build phase. Then we got rid of some install targets that  
were trying to pull  in Carbon code. 

The first problem seems like it could easily be fixed by somebody who 
understands the configure script. 

I'm not sure what's going on with the second problem. Is --disable-
toolbox-glue not being handled  correctly when the install target is 
generated? It seems like the build phase is skipping the Carbon 
dependent extension modules correctly but install is trying to pull in 
modules that  depend on those disabled modules. FYI, here's what  were 
doing:

./configure --prefix=${HOME} --with-cxx-main='/usr/bin/mpicxx -arch 
x86_64'\  --enable-framework=${HOME} --disable-toolbox-glue 
CC='/usr/bin/mpicc -arch \ x86_64' CXX='/usr/bin/mpicxx -arch x86_64' 
LDFLAGS='-framework Accelerate \ -arch x86_64'

Edit Makefile to replace  -arch_only i386 with -arch_only x86_64 and 
remove frameworkinstallmaclib and frameworkinstallapps from the 
altinstall: target.
 
diff Makefile Makefile~
457c457
<              -lSystem -lSystemStubs -arch_only x86_64 -install_name 
$(PYTHONFRAMEWORKINSTALLDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK) -
compatibility_version $(VERSION) -current_version $(VERSION) ;\
---
>              -lSystem -lSystemStubs -arch_only i386 -install_name 
$(PYTHONFRAMEWORKINSTALLDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK) -
compatibility_version $(VERSION) -current_version $(VERSION) ;\
741c741
<                 sharedinstall oldsharedinstall 
frameworkaltinstallunixtools
---
>                 sharedinstall oldsharedinstall frameworkinstallmaclib 
frameworkinstallapps frameworkaltinstallunixtools

Here is the svn info
Path: .
URL: http://svn.python.org/projects/python/trunk
Repository Root: http://svn.python.org/projects
Repository UUID: 6015fed2-1504-0410-9fe1-9d1591cc4771
Revision: 66613
Node Kind: directory
Schedule: normal
Last Changed Author: thomas.heller
Last Changed Rev: 66611
Last Changed Date: 2008-09-24 13:26:05 -0500 (Wed, 24 Sep 2008)
msg92897 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-09-20 15:02
This should be fixed in the trunk and 2.6 branches due to autodetection of 
the -arch_only flag (which was needed for OSX 10.6 support)
History
Date User Action Args
2009-11-17 11:16:55ronaldoussorensetstatus: pending -> closed
2009-09-20 15:02:15ronaldoussorensetstatus: open -> pending

nosy: + ronaldoussoren
messages: + msg92897

assignee: ronaldoussoren
resolution: fixed
2008-09-25 13:35:49cekeescreate